# ByteBuffer class

A sequence of bytes underlying a typed data object.

Used to process large quantities of binary or numerical data more efficiently using a typed view.

Implementers
  - UnmodifiableByteBufferView

## Constructors

ByteBuffer()

## Properties

lengthInBytes → int
  Returns the length of this byte buffer, in bytes.
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

asByteData([int offsetInBytes = 0, int length ]) → ByteData
  Creates a ByteData view of a region of this byte buffer. [...]
asFloat32List([int offsetInBytes = 0, int length ]) → Float32List
  Creates a Float32List view of a region of this byte buffer. [...]
asFloat32x4List([int offsetInBytes = 0, int length ]) → Float32x4List
  Creates a Float32x4List view of a region of this byte buffer. [...]
asFloat64List([int offsetInBytes = 0, int length ]) → Float64List
  Creates a Float64List view of a region of this byte buffer. [...]
asFloat64x2List([int offsetInBytes = 0, int length ]) → Float64x2List
  Creates a Float64x2List view of a region of this byte buffer. [...]
asInt8List([int offsetInBytes = 0, int length ]) → Int8List
  Creates a Int8List view of a region of this byte buffer. [...]
asInt16List([int offsetInBytes = 0, int length ]) → Int16List
  Creates a Int16List view of a region of this byte buffer. [...]
asInt32List([int offsetInBytes = 0, int length ]) → Int32List
  Creates a Int32List view of a region of this byte buffer. [...]
asInt32x4List([int offsetInBytes = 0, int length ]) → Int32x4List
  Creates a Int32x4List view of a region of this byte buffer. [...]
asInt64List([int offsetInBytes = 0, int length ]) → Int64List
  Creates a Int64List view of a region of this byte buffer. [...]
asUint8ClampedList([int offsetInBytes = 0, int length ]) → Uint8ClampedList
  Creates a Uint8ClampedList view of a region of this byte buffer. [...]
asUint8List([int offsetInBytes = 0, int length ]) → Uint8List
  Creates a Uint8List view of a region of this byte buffer. [...]
asUint16List([int offsetInBytes = 0, int length ]) → Uint16List
  Creates a Uint16List view of a region of this byte buffer. [...]
asUint32List([int offsetInBytes = 0, int length ]) → Uint32List
  Creates a Uint32List view of a region of this byte buffer. [...]
asUint64List([int offsetInBytes = 0, int length ]) → Uint64List
  Creates a Uint64List view of a region of this byte buffer. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited